Skip to main content
GET
/
geolocate
Get Caller Location
curl --request GET \
  --url https://api.example.com/geolocate
{
  "ip": "<string>",
  "location": {
    "file_index": 123,
    "range_start_int": 123,
    "range_end_int": 123,
    "range_start_ip": "<string>",
    "range_end_ip": "<string>",
    "country_code": "<string>",
    "country_name": "<string>"
  },
  "allowed": false
}

Documentation Index

Fetch the complete documentation index at: https://wb-21fd5541-docs-2632.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

ip
string | null

IP address to geolocate, defaults to client IP address

Example:

"1.2.3.4"

Response

Successful Response

ip
string
required

Resolved IP address, useful for debugging

location
Geolocation ยท object

Information about the location of the IP address, None if could not be determined

allowed
boolean
default:false

Whether the IP address is allowed to be used for inference.